/// <reference types="node" />
import * as schnorr from './schnorr';
/**
 * generatePrivateKey
 *
 * @returns {string} - the hex-encoded private key
 */
export declare const generatePrivateKey: () => string;
/**
 * sign
 *
 * @param {string} hash - hex-encoded hash of the data to be signed
 *
 * @returns {string} the signature
 */
export declare const sign: (msg: Buffer, privateKey: string, pubKey: string) => string;
export { schnorr };
export * from './util';
export * from './keystore';
export * from './random';
export * from './types';
export * from './signature';
//# sourceMappingURL=index.d.ts.map